Loading...
Searching...
No Matches
drv_enum_udev_what Struct Reference

Condition to match in drv_enum_udev(). More...

`#include <drv_enum.h>`

## Public Attributes

const char * | idVendor
const char * | idProduct
const char * | subsystem
| Require given subsystem.
const char * | parent_subsys
| Require a given subsystem parent.

## Detailed Description

Condition to match in drv_enum_udev().

Null fields are ignored.

Definition at line 32 of file drv_enum.h.

## Member Data Documentation

## idProduct

const char* drv_enum_udev_what::idProduct

Definition at line 34 of file drv_enum.h.

## idVendor

const char* drv_enum_udev_what::idVendor

Definition at line 33 of file drv_enum.h.

## parent_subsys

const char* drv_enum_udev_what::parent_subsys

Require a given subsystem parent.

Definition at line 36 of file drv_enum.h.

## subsystem

const char* drv_enum_udev_what::subsystem

Require given subsystem.

Definition at line 35 of file drv_enum.h.

The documentation for this struct was generated from the following file:

- drv_enum.h